com.google.gwt.aria.client

## Interface ComboboxRole

- All Superinterfaces:
    CompositeRole, GroupRole, InputRole, Role, SectionRole, SelectRole, StructureRole, WidgetRole
  All Known Implementing Classes:
    ComboboxRoleImpl

      public interface ComboboxRole
      extends SelectRole

  A type that represents the combobox role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaAutocompleteProperty(Element element)` Returns the value of the aria-autocomplete attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaRequiredProperty(Element element)` Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaAutocompleteProperty(Element element)` Removes the aria-autocomplete attribute from the `element`.
    `void` | `removeAriaRequiredProperty(Element element)` Removes the aria-required attribute from the `element`.
    `void` | `setAriaAutocompleteProperty(Element element, AutocompleteValue value)` Sets the aria-autocomplete attribute for the `element` to the given `value`.
    `void` | `setAriaRequiredProperty(Element element, boolean value)` Sets the aria-required attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.CompositeRole

      `getAriaActivedescendantProperty, removeAriaActivedescendantProperty, setAriaActivedescendantProperty`

    - ### Methods inherited from interface com.google.gwt.aria.client.GroupRole

      `getAriaActivedescendantProperty, removeAriaActivedescendantProperty, setAriaActivedescendantProperty`

    - ### Methods inherited from interface com.google.gwt.aria.client.SectionRole

      `getAriaExpandedState, removeAriaExpandedState, setAriaExpandedState`

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Method Detail

    - #### getAriaAutocompleteProperty

          java.lang.String getAriaAutocompleteProperty(Element element)

      Returns the value of the aria-autocomplete attribute for the `element` or "" if no such attribute is present.

    - #### getAriaRequiredProperty

          java.lang.String getAriaRequiredProperty(Element element)

      Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaAutocompleteProperty

          void removeAriaAutocompleteProperty(Element element)

      Removes the aria-autocomplete attribute from the `element`.

    - #### removeAriaRequiredProperty

          void removeAriaRequiredProperty(Element element)

      Removes the aria-required attribute from the `element`.

    - #### setAriaAutocompleteProperty

          void setAriaAutocompleteProperty(Element element,
                                           AutocompleteValue value)

      Sets the aria-autocomplete attribute for the `element` to the given `value`.

    - #### setAriaRequiredProperty

          void setAriaRequiredProperty(Element element,
                                       boolean value)

      Sets the aria-required attribute for the `element` to the given `value`.